Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.util
Class GML2

`java.lang.Object
oracle.spatial.util.GML2`

public class GML2
extends java.lang.Object

Field Summary
`protected static java.sql.Connection` | `m_conn`

Constructor Summary
`GML2()`

Method Summary
`protected void` | `CCWOutputRectangle(int numDim, double[] theOrdinates, int startOrdOffset, java.lang.StringBuffer gmlStream)`
`protected void` | `CWOutputRectangle(int numDim, double[] theOrdinates, int startOrdOffset, java.lang.StringBuffer gmlStream)`
`protected boolean` | `geometryHasArcs(JGeometry theGeom)`
`protected boolean` | `geometryHasEtypeZero(JGeometry theGeom)`
`protected void` | `outputCoordinates(int numDim, int numPoints, double[] theOrdinates, int startOrdOffset, java.lang.StringBuffer gmlStream)`
`static void` | `setConnection(java.sql.Connection _conn)`
`static java.lang.String` | `to_GMLGeometry(STRUCT geom)`
`protected void` | `toGML(JGeometry theGeom, java.lang.StringBuffer gmlout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_conn

    protected static java.sql.Connection m_conn

Constructor Detail

### GML2

    public GML2()

Method Detail

### setConnection

    public static void setConnection(java.sql.Connection _conn)

### CCWOutputRectangle

    protected void CCWOutputRectangle(int numDim,
                                      double[] theOrdinates,
                                      int startOrdOffset,
                                      java.lang.StringBuffer gmlStream)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### CWOutputRectangle

    protected void CWOutputRectangle(int numDim,
                                     double[] theOrdinates,
                                     int startOrdOffset,
                                     java.lang.StringBuffer gmlStream)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### outputCoordinates

    protected void outputCoordinates(int numDim,
                                     int numPoints,
                                     double[] theOrdinates,
                                     int startOrdOffset,
                                     java.lang.StringBuffer gmlStream)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### geometryHasArcs

    protected boolean geometryHasArcs(JGeometry theGeom)

### geometryHasEtypeZero

    protected boolean geometryHasEtypeZero(JGeometry theGeom)

### toGML

    protected void toGML(JGeometry theGeom,
                         java.lang.StringBuffer gmlout)
                  throws java.sql.SQLException,
                         java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

### to_GMLGeometry

    public static java.lang.String to_GMLGeometry(STRUCT geom)
                                           throws java.sql.SQLException,
                                                  java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.